<!-- main part of component where we show our ads-->
<p-carousel numVisible="1" styleClass="ads" [value]="my_ads" id="mainCarousel">
  <ng-template let-ad pTemplate="item" id="ad-wrapper">
    <div class="ad_content">
      <!--        picture of car-->
      <div class="picture_wrapper">
        <img id="picture" [src]="ad.img" alt="picture">
      </div>

      <!--        car attributes table-->
      <div class="table_attributes">

        <table class="tg">
          <thead>
            <tr>
              <th class="tg-licd">Manufacturer</th>
              <th class="tg-licd">Model</th>
              <th class="tg-licd">Model year</th>
              <th class="tg-licd">Color</th>
              <th class="tg-licd">Drivetrain</th>
              <th class="tg-licd">Class</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td class="tg-dk6e">{{ad.car.manufacturer}}</td>
              <td class="tg-dk6e">{{ad.car.model}}</td>
              <td class="tg-dk6e">{{ad.car.model_year}}</td>
              <td class="tg-dk6e">{{ad.car.color}}</td>
              <td class="tg-dk6e">{{ad.car.drivetrain}}</td>
              <td class="tg-dk6e">{{ad.car.class}}</td>
            </tr>
            <tr>
              <td class="tg-licd">Price</td>
              <td class="tg-licd">Bargaining</td>
              <td class="tg-licd">Registration</td>
              <td class="tg-licd">Mileage</td>
              <td class="tg-licd">Transmission</td>
              <td class="tg-licd">Car year</td>
            </tr>
            <tr>
              <td class="tg-dk6e">{{ad.price}}</td>
              <td class="tg-dk6e">{{ad.bargaining}}</td>
              <td class="tg-dk6e">{{ad.registration}}</td>
              <td class="tg-dk6e">{{ad.milleage}}</td>
              <td style="font-size: 10px;" class="tg-dk6e">{{ad.car.transmission}}</td>
              <td class="tg-dk6e">{{ad.car_year}}</td>
            </tr>
            <tr>
              <td class="tg-licd" colspan="4">Description</td>
              <td class="tg-licd" colspan="1">Phone</td>
              <td class="tg-licd" colspan="1">e-mail</td>
            </tr>
            <tr>
              <td id="description_cell" class="tg-dk6e" style="text-align:left; padding-left:2vw;" colspan="4">
                {{ad.description}}</td>
              <td class="tg-dk6e">{{ad.user.phone}}</td>
              <td class="tg-dk6e">{{ad.user.email}}</td>
            </tr>
          </tbody>
        </table>

      </div>

    </div>

    <div id="delete_ad_wrapper">
      <button pButton (click)="delete_ad(ad)" class="p-button-raised p-button-rounded p-button-danger" icon="pi pi-times"
        label="Delete"></button>
    </div>
  </ng-template>

</p-carousel>